%global momorel 3
%global md5sum_src0 dcd50ddb2544faeae77f194804559404

Summary: TagLib Audio Meta-Data Library
Name: taglib
Version: 1.4
Release: %{momorel}m%{?dist}
License: GPL
URL: http://developer.kde.org/~wheeler/taglib.html
Group: Development/Libraries
%NoSource 0 http://developer.kde.org/~wheeler/files/src/%{name}-%{version}.tar.gz %{md5sum_src0}
Patch0: http://foetida.jaist.ac.jp:37565/~yaz/diary/2006/07/taglib-1.4_wchar.diff
Buildroot: %{_tmppath}/%{name}-%{version}-root
# BuildPreReq: doxygen
BuildPreReq: pkgconfig

%description
TagLib is a library for reading and editing the meta-data of several popular audio formats. Currently it supports both ID3v1 and ID3v2 for MP3 files, Ogg Vorbis comments and ID3 tags and Vorbis comments in FLAC files.

%package devel
Summary: TagLib Audio Meta-Data Library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
devel files for TagLib Audio Meta-Data Library

%prep
%setup -q
%patch0 -p1 -b .wchar

%build
CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--disable-rpath \
	--disable-debug

make %{?_smp_mflags}

# # generate the TagLib API documentation
# cd taglib-api
# doxygen taglib.doxygen

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# remove unwanting files
rm -rf examples/.deps

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL
%{_libdir}/libtag*.so.*

%files devel
%defattr(-,root,root)
%doc examples
# %%doc taglib-api
%{_bindir}/taglib-config
%{_includedir}/taglib
%{_libdir}/pkgconfig/taglib.pc
%{_libdir}/libtag*.la
%{_libdir}/libtag*.so

%changelog
* Wed Mar 28 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4-3m)
- taglib-devel Requires: pkgconfig

* Mon Feb  5 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4-2m)
- import taglib-1.4_wchar.diff from http://foetida.jaist.ac.jp:37565/~yaz/diary/
  http://foetida.jaist.ac.jp:37565/~yaz/diary/?20060711
  http://vdr.jp/d/20061124.html#p01

* Mon Aug  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4-1m)
- update to version 1.4 (for amarok-1.3-0.3.1m)

* Mon Nov 08 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.1-1m)
- update to 1.3.1

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.3-2m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Wed Sep 15 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3-1m)
- update to version 1.3

* Tue Aug 17 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-1m)
- update to version 1.2 (required by amarok-1.1)
- change URL

* Sun Mar 21 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0-2m)
- change docdir %%defattr

* Mon Feb  9 2004 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.0-1m)
- import to Momonga (required by kdemultimedia-3.2.0)
